> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Statement

> Use this API to fetch the account statement of the virtual account in a paginated format using cursor-based pagination.



## OpenAPI

````yaml get /v1/accountStatement
openapi: 3.0.0
info:
  title: Internal Transfer API
  version: 1.0.0
  description: API to create virtual accounts on existing connected fund sources.
servers:
  - url: https://sandbox.cashfree.com/payout
    description: Sandbox server
  - url: https://api.cashfree.com/payout
    description: Production server
security: []
tags: []
paths:
  /v1/accountStatement:
    get:
      summary: Get Account Statement
      description: >-
        Use this API to fetch the account statement of the virtual account in a
        paginated format using cursor-based pagination.
      parameters:
        - name: Authorization
          in: header
          description: Authorization header with tokens.
          required: true
          schema:
            type: string
        - name: startTime
          in: query
          description: >-
            It is the starting date and time of the information you require in
            the UNIX timestamp format.
          required: true
          example: '2023-10-12 13:04:25'
          schema:
            type: integer
        - name: endTime
          in: query
          description: >-
            It is the ending date and time of the information you require in the
            UNIX timestamp format.
          required: true
          example: '2023-10-12 13:04:25'
          schema:
            type: integer
        - name: limit
          in: query
          description: It is the number of records to display per page.
          required: false
          example: 10
          schema:
            type: integer
        - name: cursor
          in: query
          description: It is the cursor to paginate through large sets of data.
          required: false
          schema:
            type: string
        - name: paymentInstrumentId
          in: query
          description: >-
            It is the unique ID to identify the payment instrument. Use this
            parameter if you require the account statment for a virtual account.
          required: false
          example: YES_CONNECTED_484576_4f21dfb
          schema:
            type: string
      responses:
        '200':
          description: Account statement retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedAccountStatementResponseWithCursor
              examples:
                success:
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Account Statement Retrieved
                    data:
                      prevCursor: ''
                      nextCursor: ''
                      hasNext: false
                      batches: []
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
        '404':
          description: Fund source not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
              examples:
                fundsource_not_found:
                  value:
                    status: ERROR
                    subCode: '404'
                    message: fundsource_id does not exist
        '422':
          description: Validation errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
              examples:
                invalid_endTime:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Please provide a valid endTime
                invalid_startTime:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: Please provide a valid startTime
                invalid_startTime_format:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: startTime should be of format yyyy-mm-dd hh:mm:ss
                invalid_endTime_format:
                  value:
                    status: ERROR
                    subCode: '422'
                    message: endTime should be of format yyyy-mm-dd hh:mm:ss
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
components:
  schemas:
    PaginatedAccountStatementResponseWithCursor:
      type: object
      properties:
        prevCursor:
          type: string
          description: It displays the previous cursor for pagination.
        nextCursor:
          type: string
          description: It displays the next cursor for pagination.
        hasNext:
          type: boolean
          description: If displays the information whether there are more records to fetch.
        batches:
          type: array
          items:
            $ref: '#/components/schemas/AccountStatementRows'
    PayoutResponse:
      type: object
      properties:
        status:
          type: string
          description: It displays the status of the request (SUCCESS/FAILURE).
          example: SUCCESS
        subCode:
          type: string
          description: It displays the sub code of the request.
          example: '200'
        message:
          type: string
          description: It displays the outcome of the request.
          example: FundSource Details Retrieved
        data:
          $ref: '#/components/schemas/FundSourceData'
          type: object
          description: Response data.
          oneOf:
            - $ref: '#/components/schemas/CreateVirtualAccountResponse'
            - $ref: '#/components/schemas/InternalTransferResponse'
    AccountStatementRows:
      type: object
      properties:
        id:
          type: integer
          description: It displays the unique ID of the account statement row. \
        eventId:
          type: integer
          description: >-
            It displays the uniquie ID of the event associated with the
            transaction.
        txTime:
          type: string
          format: date-time
          description: It displays the timestamp of the transaction.
        eventType:
          type: string
          description: It displays the type of the event (CREDIT/DEBIT).
        event:
          type: string
          description: It displays the event in detail.
        transactionAmount:
          type: string
          format: decimal
          description: It displays the transaction amount.
        serviceCharge:
          type: string
          format: decimal
          description: It diplays the applied service charge.
        serviceTax:
          type: string
          format: decimal
          description: It displays the applie service tax.
        amount:
          type: string
          format: decimal
          description: It displays the total charged amount.
        remarks:
          type: string
          description: It displays any additional remarks for the transaction.
        paymentInstrumentId:
          type: string
          description: >-
            It displays the unique ID of the payment instrument involved in the
            transaction.
        closingBalance:
          type: string
          format: decimal
          description: It displays the closing balance after the transaction.
    FundSourceData:
      type: object
      properties:
        id:
          type: integer
          description: It displays the unique ID of the fund source.
          example: 123
        fsDisplayType:
          type: string
          description: It displays the type of the fund source.
          example: Bank Account
        fsDescription:
          type: string
          nullable: true
          description: It displays the description of the fund source.
          example: Main operational account
        accountHolderName:
          type: string
          description: It displays the name of the account holder.
          example: John Doe
        bankName:
          type: string
          description: It displays the bank name.
          example: Bank of India
        balance:
          type: string
          format: decimal
          description: It displays the balance amount in the fund source.
          example: '1000.00'
        availableBalance:
          type: string
          format: decimal
          description: It displays the available balance amount in the fund source.
          example: '950.00'
        fundsOnHold:
          type: string
          description: It displays the amount on hold in the fund source.
          format: decimal
          example: '50.00'
        overdraft:
          type: string
          format: decimal
          description: It displays the overdraft amount of the fund source.
          example: '0.00'
        bankAccount:
          type: string
          description: It displays the bank account information of the fund source.
          example: '1234567890'
        ifsc:
          type: string
          description: It displays the IFSC information.
          example: BOFA0XXXXXX
        addedOn:
          type: string
          description: It displays the date and time of the fund source when added.
          format: date-time
          example: '2024-01-01T12:00:00Z'
        updatedOn:
          type: string
          description: It displays the latest updation date and time of the fund source.
          format: date-time
          example: '2024-08-01T12:00:00Z'
        fsName:
          type: string
          description: It displays the name of the fund source.
          example: Operational Account
        displayName:
          type: string
          description: It displays the display name of the fund source.
          example: Main Account
        virtualAccount:
          type: string
          description: It displays the virtual account information.
          example: VA1234567890
        status:
          type: string
          description: It displays the status of the fund source.
          example: ACTIVE

````